Bug 971626 - Closing an in-house app can occasionally hang the X server
Summary: Closing an in-house app can occasionally hang the X server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libxcb
Version: 6.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1056244
TreeView+ depends on / blocked
 
Reported: 2013-06-07 00:41 UTC by Kazu Yoshida
Modified: 2018-12-01 14:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 05:05:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 0 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Kazu Yoshida 2013-06-07 00:41:43 UTC
Description of problem:

Closing an in-house app can occasionally hang the X server

Version-Release number of selected component (if applicable):

We've seen it on RHEL6.3 systems w/ FX4800 cards.  
The systems are running nv310.19 and nv310.40.  Video BIOS is 70.00.67.00.09

How reproducible:

Just close an in-house app called Torch that can occasionally hang the X server when users quit the app

Steps to Reproduce:
1.
2.
3.

Actual results:

X server hang

Expected results:

not hang

Additional info:

Comment 3 Dave Airlie 2013-06-07 04:00:03 UTC
would need the complete /var/log/Xorg.0.log to see what drivers are in use. If nouveau leave here, if nvidia we would need to determine what is hanging on the server side if anything, it maybe a qt bug.

Comment 6 Dave Airlie 2013-06-07 04:15:24 UTC
reassing to server since it appears to nvidia binary and we are just making sure we aren't failing stupidly.

Comment 10 RHEL Program Management 2013-10-14 03:23:45 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 18 errata-xmlrpc 2014-10-14 05:05:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.